Developer Documentation

Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
ACG::HuePartitioningColors Class Reference

`#include <OpenFlipper/libs_required/ACG/Utils/HuePartitioningColors.hh>`

Inheritance diagram for ACG::HuePartitioningColors:

## Public Member Functions
| HuePartitioningColors (float _alpha=1.0f, float _baseHue=0.5694f)
virtual Vec4f | generateNextColor ()
Public Member Functions inherited from ACG::ColorGenerator
template<class OUTPUT_ITERATOR >
void | generateNextNColors (int n, OUTPUT_ITERATOR oit)

## Static Public Member Functions
template<class OUTPUT_ITERATOR >
static void | generateNColors (int n, OUTPUT_ITERATOR oit)

## Private Attributes
int | currentSubdiv_
int | currentIt_
int | currentTriadIt_
float | alpha_
float | baseHue_
const float | defaultSaturation_
const float | defaultValue_

## Detailed Description

The HuePartitioningColors generator tries to generate a set of well distinguishable and esthetically somewhat pleasing colors.

Note that it intentionally behaves totally deterministic. (Because reproducibility rocks.)

Definition at line 59 of file HuePartitioningColors.hh.

## Constructor & Destructor Documentation

## ◆ HuePartitioningColors()

ACG::HuePartitioningColors::HuePartitioningColors | ( | float | _alpha = `1.0f`,
|  | float | _baseHue = `0.5694f`
| ) |  |

Constructor

Parameters

  _alpha | The alpha value for all the colors.
  _baseHue | The HSV-hue from which to start. This is the hue of the first requested color. Default is an utterly delighting shade of blue awesomeness.

Definition at line 52 of file HuePartitioningColors.cc.

## Member Function Documentation

## ◆ generateNColors()

template<class OUTPUT_ITERATOR >

static void ACG::HuePartitioningColors::generateNColors | ( | int | n,
|  | OUTPUT_ITERATOR | oit
| ) |  |
| inline static

Convenience method if you just need a bunch of colors and don't need to instantiate a ColorGenerator.

See description of generateNextNColors() for details.

Definition at line 86 of file HuePartitioningColors.hh.

## ◆ generateNextColor()

Vec4f ACG::HuePartitioningColors::generateNextColor | ( |  | ) |
| virtual

Returns
  A new color.

Implements ACG::ColorGenerator.

Definition at line 65 of file HuePartitioningColors.cc.

The documentation for this class was generated from the following files:

- OpenFlipper/libs_required/ACG/Utils/HuePartitioningColors.hh
- OpenFlipper/libs_required/ACG/Utils/HuePartitioningColors.cc